Complaints
Alle Operationen rund um Complaints.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Complaint | complaint |
54 | — | complaint_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/complaints |
Create complaint | Create a new complaint in the active tenant. |
DELETE |
/v1/complaints/{id} |
Delete complaint | Soft delete entity. |
GET |
/v1/complaints/{id} |
Get complaint by id | Fetch a single complaint. |
GET |
/v1/complaints/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/complaints/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/complaints/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/complaints |
List complaints | List complaints for the active tenant. |
PATCH |
/v1/complaints/{id} |
Patch complaint | JSON Merge Patch update. |
POST |
/v1/complaints/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/complaints/{id}/convert-to-ticket |
POST /v1/complaints/{id}/convert-to-ticket | CodeMeta OS API endpoint. |
POST |
/v1/complaints/{id}/transition |
POST /v1/complaints/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/complaints/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/complaints/{id} |
Replace complaint | Full replace with optimistic locking. |